For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate an agent
      • PUTUpdate an agent
      • DELDelete an agent
      • GETList agents
      • GETGet an agent
      • PUTAttach phone numbers to an outbound agent
      • DELDetach phone number from an outbound agent
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIAgents

Get an agent

||View as Markdown|
GET
/assistants/:model_id
GET
/v2/assistants/:model_id
$curl https://api.synthflow.ai/v2/assistants/model_id \
> -H "Authorization: Bearer <token>"
1{
2 "status": "success",
3 "response": {
4 "pagination": {
5 "total_records": 1,
6 "limit": 1,
7 "offset": 0
8 },
9 "assistants": {
10 "description": {},
11 "phone_number": "+18284265151",
12 "external_webhook_url": "string",
13 "is_recording": true,
14 "max_duration": {
15 "duration_seconds": 1200,
16 "is_enabled": true
17 },
18 "voicemail_message": {
19 "enabled": true,
20 "mode": "exact_message",
21 "exact_message": "Hello, please call us back.",
22 "prompt": "Leave a professional voicemail asking the recipient to call back."
23 },
24 "type": "inbound",
25 "name": "Synthflow Customer Service",
26 "agent": {
27 "timezone": "Europe/Berlin",
28 "voice_prompt": "Speak softly and calmly.",
29 "voice_stability": 0.5,
30 "voice_similarity_boost": 0.5,
31 "voice_optimise_streaming_latency": 2,
32 "voice_style": 1,
33 "voice_use_speaker_boost": true,
34 "allowed_idle_time_seconds": 12,
35 "initial_pause_seconds": 1,
36 "transcriber_keywords": [
37 "Synthflow"
38 ],
39 "ring_pause_seconds": 1,
40 "background_noise": {
41 "enabled": true,
42 "type": "cafe",
43 "volume": 20
44 },
45 "noise_cancellation": "advanced",
46 "realistic_filler_words": true,
47 "is_transcript_disabled": true,
48 "redact_pii": true,
49 "synthesizer_filter_words": [
50 "Paris",
51 "Detroit",
52 "NYC"
53 ],
54 "end_call_reasons_v2": [
55 {
56 "reason": "Customer is being abusive",
57 "closing_message_mode": "static",
58 "closing_message": "I'm sorry, but I need to end this call. Goodbye."
59 },
60 {
61 "reason": "Fraud detected",
62 "closing_message_mode": "none"
63 }
64 ],
65 "voice_synthesizer": "eleven_multilingual_v2",
66 "suppression_level": 0.5,
67 "interruption_fade_out": 1,
68 "voice_speed": 1.2,
69 "voice_volume": 1,
70 "min_words_to_interrupt": 0,
71 "prompt": "# Assistant Guidelines\n\n## General Behaviour\n\n### Style Guide\n\n- **Be human-like:",
72 "greeting_message": "Hi, this is Cindy from Synthflow, how can I help you?",
73 "greeting_message_mode": "agent_static",
74 "greeting_message_human_talk_timeout": 3,
75 "llm": "gpt-4.1",
76 "language": "de-DE",
77 "voice_id": "56WncaVghRJENNR1He3Y",
78 "patience_level": "low",
79 "send_user_idle_reminders": false,
80 "reminder_after_idle_time_seconds": 4,
81 "reminder_after_idle_message": "I'm still here. Do you have any questions?",
82 "fallback_voice_id": "56WncaVghRJENNR1He3Y",
83 "fallback_provider": "elevenlabs",
84 "fallback_model": "string",
85 "end_call_reasons": [
86 "Customer is being abusive",
87 "Fraud detected",
88 "Wrong number"
89 ]
90 },
91 "model_id": "4ba429e6-dc96-4c0b-966f-9bdf689ccfa6",
92 "attached_phone_numbers": [
93 {
94 "number": "+16286666348",
95 "sid": "PN4f1a9e7d3b6c2a8d5e0f1b9c7a4d6e2",
96 "slug": "16286666348"
97 }
98 ],
99 "end_call_reasons": [
100 "Customer is being abusive",
101 "Fraud detected",
102 "Wrong number"
103 ]
104 }
105 }
106}
Was this page helpful?
Previous

Attach phone numbers to an outbound agent

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

model_idstringRequired

Agent ID. You can find it on the agent’s page in your dashboard.

Response

200
statusstring
Whether the request was successful.
responseobject

Errors

400
Bad Request Error